Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.configs
Class Service

    java.lang.Object
      org.deegree.portal.owswatch.configs.Service

All Implemented Interfaces:
  Serializable

    public class Service

extends Object
implements Serializable

A class to hold the information of a service. What are the available versions of this service, which request types are there and their corresponding html pages

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`Service(String serviceName)`

Method Summary
`String` | `getServiceName()`
`Map<String,ServiceVersion>` | `getServiceVersions()`
`void` | `setServiceName(String serviceName)`
`void` | `setServiceVersions(Map<String,ServiceVersion> serviceVersions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service

    public Service(String serviceName)

Parameters:
  `serviceName` -

Method Detail

### getServiceName

    public String getServiceName()

  Returns:
    String

### setServiceName

    public void setServiceName(String serviceName)

  Parameters:
    `serviceName` -

### getServiceVersions

    public Map<String,ServiceVersion> getServiceVersions()

  Returns:
    String

### setServiceVersions

    public void setServiceVersions(Map<String,ServiceVersion> serviceVersions)

  Parameters:
    `serviceVersions` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org